cancel
Showing results for 
Search instead for 
Did you mean: 

Force Pulse Upgrade

Regular Contributor

Force Pulse Upgrade

Is there any way to force an upgrade of Pulse when the user connects to an upgraded appliance without giving them the option to cancel it?

Ideally the upgrade would be done automatically without any user interaction required.

Upgrading from 7.1R10 to 7.4Rx

 

 

5 REPLIES 5
Valued Contributor

Re: Force Pulse Upgrade

If Pulse option is enabled on the User Role, it should prompt the end user to upgrade the Pulse client when connecting to a SA/MAG device.  To avoid any user interaction completely, the Pulse MSI must be pushed using a third party SMS solution or group policy using the silent option in the MSIEXEC.

Occasional Contributor

Re: Force Pulse Upgrade

there is no way to force this although if the pulse client is not compatible with the IVE software the user will get the option to upgrade or disconnect.

Group policy is generally the best way if you need to force all your users onto a specific version of pulse, where multiple versions are compatible with the IVE software running on the SA.
Respected Contributor

Re: Force Pulse Upgrade

The cancel option is always available from the server
Occasional Contributor

Re: Force Pulse Upgrade

Is this still the case? Is there any way to suppress the option for users to cancel or upgrade the Pulse client? Would like to replicate the behavior of Network Connect upgrades where it just upgraded client when the gateway was on a new version. It'd be nice to complete upgrades through the gateway instead of managing separately.

Highlighted
Respected Contributor

Re: Force Pulse Upgrade

Yes, this is still the case. I would recommend an enhancement request to have our development team investigate enabling an option for this.

You can still let the server push the upgrade without manually needing to modify this; however, yes, the users will have the option to ignore it.

While still manual, you can do the following to force users to upgrade. Is it pretty? No; but it will get the job done because it gives users a chance to do the upgrade on their terms AND gives them a deadline to complete the action. 

 

1) Enable pre/post-notification message (up to you when you want to show it)

2) Say that a new version is available and the upgrade needs to be done by <date> and that after <date> access will be denied

3) On or after <date>, create a user-agent restriction on the realm at Users>User Realms>Restrictions>Browser and put in the new version of Pulse as the allowed user string and deny any other connection

 

You can set <date> to be immediate or you can set it in the future; it is up to you and your team what you want to allow.